<!DOCTYPE html>
{% load staticfiles %}
<html lang="en">
<head>
<meta http-equiv="Content-type" content="text/html;charset=UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1"/>
<!--===============================================================================================-->	
<!--===============================================================================================-->
      <link rel="icon" href="{% static 'images/logo-head.PNG' %}">

<body>


<div id="container">
<div id="container1" style="width: 500px; height: 400px; margin: 0 " align="left"></div>
</div>


	<script src="{% static 'js/highstock.js'%}"></script>
<script src="{% static 'vendor/jquery/jquery-3.2.1.min.js' %}"></script>	
<script>
var H = Highcharts
function afterSetExtremes(e) {
index=nthIndex(window.location.toString(),"/",7)
end=(window.location.toString()).slice(index,(window.location.toString()).length)
var chart = Highcharts.charts[0];

    chart.showLoading('Loading data from server...');
    src="http://35.226.69.237/"+country+"/timeline_data/"+parseInt(e.min).toString()+"/"+parseInt(e.max).toString()+end
    $.getJSON(src, function (data){
       if (data.length>1)
{

interval=parseInt((data[1][0]-data[0][0]))

}
else{
interval=0
}
        chart.series[0].setData(data);
        chart.hideLoading();
    });

	 parent.min=e.min
	 parent.max=e.max
	
	 src="http://35.226.69.237/"+country+"/map/"+parseInt(e.min).toString()+"/"+parseInt(e.max).toString()+end
         parent.loadIframe("map",src)
         w=end.split('/')
         src="http://35.226.69.237:3838/?country="+country+"&min="+parseInt(e.min).toString()+"&max="+parseInt(e.max).toString()+"&top="+w[1]+"&word="+w[2]+"&skip=0"
         parent.loadIframe("chirp",src)
         src="http://35.226.69.237/"+country+"/hashtags/"+parseInt(e.min).toString()+"/"+parseInt(e.max).toString()+end
         parent.loadIframe("hashtags",src)
         src="http://35.226.69.237/"+country+"/virality/"+parseInt(e.min).toString()+"/"+parseInt(e.max).toString()+end
         parent.loadIframe("topics",src)
	 src="http://35.226.69.237/"+country+"/mentions_screen_name/"+parseInt(e.min).toString()+"/"+parseInt(e.max).toString()+end
         parent.loadIframe("mentions_screen_name",src)
	 src="http://35.226.69.237/"+country+"/screen_name/"+parseInt(e.min).toString()+"/"+parseInt(e.max).toString()+end
         parent.loadIframe("screen_name",src)
	 src="http://35.226.69.237/"+country+"/sentiments/"+parseInt(e.min).toString()+"/"+parseInt(e.max).toString()+end
         parent.loadIframe("sentiments",src)
	 src="http://35.226.69.237/"+country+"/twitter/"+parseInt(e.min).toString()+"/"+parseInt(e.max).toString()+"/All/"+parent.document.getElementById("sel").value+end
         parent.loadIframe("twitter",src)
	 src="http://35.226.69.237/"+country+"/word/"+parseInt(e.min).toString()+"/"+parseInt(e.max).toString()+"/All/"+parent.document.getElementById("sel").value+end
         parent.loadIframe("word-cloud",src)
         parent.loadIframe("word-assoc","http://35.226.69.237/"+country+"/word/0/999999999999999/All/all/top/top/_")

}

var country='{{country|safe}}'
src=window.location.toString()
src=src.replace("timeline","timeline_data")
var interval=0
$.getJSON(src, function (data) {

if (data.length>1)
{


interval=parseInt((data[1][0]-data[0][0]))

}
var chart = Highcharts.stockChart('container', {

        chart: {
            height: 400
        },

        title: {
            text: 'Tweets Timeline'
        },
	navigator: {
            adaptToUpdatedData: false,
            series: {
                data: data
            }
        },
        scrollbar: {
            liveRedraw: false
        },

   tooltip: {
       
        formatter: function() {

            var headerFormat = 'From: ' +
             H.dateFormat('%d %b %Y %H:%M:%S',(this.points[0].point.x)) +
                '<br> To: ' +
                H.dateFormat('%d %b %Y %H:%M:%S',(this.points[0].point.x + interval)),
                pointFormat = '<span style="color:' +
                this.points[0].point.color + '">\u25CF</span> ' +
                "Tweets Count:" + ': <b>' +
                this.points[0].point.y + '</b><br/>'

            return [headerFormat, pointFormat]
        }
},
	xAxis: {
             gapGridLineWidth: 0,	    
         events: {
         afterSetExtremes:afterSetExtremes
         },
	minRange:1
     },
	 
	yAxis:{
	 text:'Tweets Count',
	 min:0,
	 minRange: 0
	 }
 ,
       rangeSelector: {
            buttons: [{
                type: 'hour',
                count: 1,
                text: '1H'
            }, {
                type: 'day',
                count: 1,
                text: '1D'
            },
{
                type: 'month',
                count: 1,
                text: '1M'
            },
{
                type: 'year',
                count: 1,
                text: '1Y'
            },
			{
                type: 'all',
                count: 1,
                text: 'All'
            }],
            selected:4,
            inputEnabled: false
        },

        series: [{
            name: 'Tweets Count',
            data: data,
	    dataGrouping: {
                enabled: false
            },
	    type:'area',
            gapSize: 5,
            tooltip: {
                valueDecimals: 0
            },
            fillColor: {
                linearGradient: {
                    x1: 0,
                    y1: 0,
                    x2: 0,
                    y2: 1
                },
                stops: [
                    [0, Highcharts.getOptions().colors[0]],
                    [1, Highcharts.Color(Highcharts.getOptions().colors[0]).setOpacity(0).get('rgba')]
                ]
            },
            threshold: null
        }],	

        responsive: {
            rules: [{
                condition: {
                    maxWidth: 500
                },
                chartOptions: {
                    chart: {
                        height: 300
                    },
                    subtitle: {
                        text: null
                    },
                    navigator: {
                        enabled: false
                    }
                     
  
                }
            }]
        }
    });	  

});


// Function to find the nth index of character in a string
function nthIndex(str, pat, n){
    var L= str.length, i= -1;
    while(n-- && i++< L){
        i= str.indexOf(pat, i);
        if (i < 0) break;
    }
    return i;
}	
	</script>
	
	</body>
</html>
